<< falltime | FOSSEE_Signal_Processing_Toolbox | fft21 >>

FOSSEE_Signal_Processing_Toolbox >> FOSSEE_Signal_Processing_Toolbox > fft1

# fft1

Calculates the discrete Fourier transform of a matrix using Fast Fourier Transform algorithm.

### Syntax

    y = fft1(D)
    y = fft1(D, N)
    y = fft1(D, N, DIM)

### Parameters

D:

  Input signal.

N:

  Number of points for the FFT. Default is the length of `x`.

DIM:

  Specifies the dimension of the matrix along which the FFT is performed.

y:

  FFT of the input signal.

### Description

Calculates the discrete Fourier transform of a matrix using Fast Fourier Transform algorithm. The FFT is calculated along the first non-singleton dimension of the array. Thus, FFT is computed for each column of D. The variable 'N' is an integer that determines the number of elements of 'D' to use. If 'N' is larger than the dimension along which the FFT is calculated, then 'D' is resized and padded with zeros to match the required size.On the other hand, if 'N' is smaller than the size of 'D', then 'D' is truncated to match the required size. DIM is an integer specifying the dimension of the matrix along which the FFT is performed.

### Examples

    D = [1 2 3; 4 5 6; 7 8 9]
    N = 3
    DIM = 2
    fft1(D, N, DIM)

### See also

- fft

Report an issue
<< falltime | FOSSEE_Signal_Processing_Toolbox | fft21 >>